Bug 1000450 - JGroups: failed handling incoming message: NullPointerException
JGroups: failed handling incoming message: NullPointerException
Status: ASSIGNED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering (Show other bugs)
6.1.1,6.2.0
Unspecified Unspecified
low Severity low
: ---
: EAP 6.4.0
Assigned To: jboss-set
Michal Vinkler
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 09:21 EDT by Ladislav Thon
Modified: 2016-12-19 10:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ladislav Thon 2013-08-23 09:21:22 EDT
During EAP 6.1.1.ER7 testing, I've seen several occurences of this NPE:

11:53:25,992 ERROR [org.jgroups.protocols.UDP] (OOB-19,shared=udp) failed handling incoming message: java.lang.NullPointerException
	at java.util.concurrent.ConcurrentHashMap.get(ConcurrentHashMap.java:768) [rt.jar:1.6.0_45]
	at org.jgroups.protocols.UNICAST2.up(UNICAST2.java:432)
	at org.jgroups.protocols.pbcast.NAKACK.up(NAKACK.java:645)
	at org.jgroups.protocols.VERIFY_SUSPECT.up(VERIFY_SUSPECT.java:147)
	at org.jgroups.protocols.FD.up(FD.java:253)
	at org.jgroups.protocols.FD_SOCK.up(FD_SOCK.java:288)
	at org.jgroups.protocols.MERGE3.up(MERGE3.java:290)
	at org.jgroups.protocols.Discovery.up(Discovery.java:359)
	at org.jgroups.protocols.TP$ProtocolAdapter.up(TP.java:2610)
	at org.jgroups.protocols.TP.passMessageUp(TP.java:1263)
	at org.jgroups.protocols.TP$IncomingPacket.handleMyMessage(TP.java:1825)
	at org.jgroups.protocols.TP$IncomingPacket.run(TP.java:1798)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:895) [rt.jar:1.6.0_45]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:918) [rt.jar:1.6.0_45]
	at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_45]

In the log, this NPE is surrounded by exceptions from bug 923818, but this totally looks like a problem in JGroups.

See: https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-failover-ejb-ejbservlet-shutdown-dist-async/15/console-perf20/ (so that's graceful shutdown, DIST/ASYNC).
Comment 1 Radoslav Husar 2013-08-27 10:19:08 EDT
Upstream Jira: 
https://issues.jboss.org/browse/JGRP-1684
Comment 2 Radoslav Husar 2013-09-03 09:12:49 EDT
Can you guys provide more information about the NPE? What are the circumstances, whether you have seen it in other jobs, etc. I wonder if this couldn't have been another instance messing up with the test cluster.

I am setting also severity/priority.
Comment 3 Ladislav Thon 2013-09-03 09:31:21 EDT
Only seen this in a single job. Other than that, we have no additional information besides what can be seen from the logs.
Comment 7 Paul Ferraro 2013-10-16 08:54:28 EDT
This is no longer addressable in the time remaining for release.
Comment 9 Richard Janík 2013-12-09 05:00:06 EST
Just an update: present in EAP 6.2.0.
Comment 10 Radoslav Husar 2013-12-09 06:45:00 EST
Please add a link to the job where it was seen, need to look again at what was the exact timing of the issue.

Note You need to log in before you can comment on or make changes to this bug.